## org.biojava.bio.symbol
Interface WobbleDistribution

    public interface WobbleDistribution

an object to return statistics about the frequency of the wobble base in a set of synonymous codons.

Since:
  1.3
Author:
  David Huen

Method Summary
`Distribution` `getFrequencyOfNonWobbleBases()` returns the frequency with which synonymous codons start with a specified pair of bases.
`Set` `getNonWobbleBases()` returns Set containing the nonWobbleBases that occur in codons that encode this residue
`Symbol` `getResidue()` returns the residue encoded by this WobbleDistribution
`Distribution` `getWobbleFrequency(Symbol nonWobbleBases)` returns the frequency of a specific wobble base in a set of synonymous codons that start with the same two bases.

Method Detail

### getResidue

    Symbol getResidue()

  returns the residue encoded by this WobbleDistribution

### getNonWobbleBases

    Set getNonWobbleBases()

  returns Set containing the nonWobbleBases that occur in codons that encode this residue

### getFrequencyOfNonWobbleBases

    Distribution getFrequencyOfNonWobbleBases()

  returns the frequency with which synonymous codons start with a specified pair of bases.

### getWobbleFrequency

    Distribution getWobbleFrequency(Symbol nonWobbleBases)

  returns the frequency of a specific wobble base in a set of synonymous codons that start with the same two bases. (sums to one over this set).